/***************************************************************************
 * This file is part of the project AqFoxExt.                              *
 * AqFoxExt (c) by 2011 Martin Preuss, all rights reserved.                *
 *                                                                         *
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef FXXACTION_P_H
#define FXXACTION_P_H


#include <fx.h>


#include <aqfoxext/aqfoxext.h>
#include <aqfoxext/fxx_action.hpp>


class AQFOXEXT_API FXXActionMenuCommand: public FXMenuCommand {
  friend class FXXAction;
protected:
  FXXAction *action;

  FXXActionMenuCommand():FXMenuCommand(), action(NULL) {};

public:
  FXXActionMenuCommand(FXXAction *act,
                       FXMenuPane* p,
                       const FXString& text, FXIcon* ic=NULL,
                       FXObject* tgt=NULL, FXSelector sel=0,
                       FXuint opts=0);
  ~FXXActionMenuCommand();

};



class AQFOXEXT_API FXXActionToolButton: public FXButton {
  friend class FXXAction;
protected:
    FXXAction *action;

    FXXActionToolButton():FXButton(), action(NULL) {};

public:
  FXXActionToolButton(FXXAction *act,
                     FXToolBar* p,
                     const FXString& text, FXIcon* ic=NULL,
                     FXObject* tgt=NULL, FXSelector sel=0,
                     FXuint opts=0);
  ~FXXActionToolButton();

};




class AQFOXEXT_API FXXActionMenuCheck: public FXMenuCheck {
  friend class FXXAction;
protected:
  FXXAction *action;

  FXXActionMenuCheck():FXMenuCheck(), action(NULL) {};

public:
  FXXActionMenuCheck(FXXAction *act,
                     FXMenuPane* p,
                     const FXString& text,
                     FXObject* tgt=NULL, FXSelector sel=0,
                     FXuint opts=0);
  ~FXXActionMenuCheck();

};



class AQFOXEXT_API FXXActionCheckButton: public FXCheckButton {
  friend class FXXAction;
protected:
  FXXAction *action;

  FXXActionCheckButton():FXCheckButton(), action(NULL) {};

public:
  FXXActionCheckButton(FXXAction *act,
                       FXToolBar* p,
                       const FXString& text,
                       FXObject* tgt=NULL, FXSelector sel=0,
                       FXuint opts=0);
  ~FXXActionCheckButton();

};





#endif

