/***************************************************************************
 * This file is part of the project AqFoxExt.                              *
 * AqFoxExt (c) by 2011 Martin Preuss, all rights reserved.                *
 *                                                                         *
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif


#include "fxx_icondict.hpp"
#include "fxx_app.hpp"



FXXIconDict::FXXIconDict(FXXApp *app)
:FXDict()
,m_app(app)
{

}



FXXIconDict::~FXXIconDict() {
  clear();
}



FXIcon *FXXIconDict::getIcon(const FXString &name) {
  FXIcon *ic=(FXIcon*)FXDict::find(name.text());
  if (ic==NULL)
    ic=(FXIcon*)insert(name.text(), name.text());

  return ic;
}



void *FXXIconDict::createData(const void *d) {
  if (m_app)
    return (void*) m_app->loadIcon((const char*) d);
  return NULL;
}



void FXXIconDict::deleteData(void *d) {
  delete ((FXIcon*) d);
}




