/***************************************************************************
 * This file is part of the project AqFoxExt.                              *
 * AqFoxExt (c) by 2011 Martin Preuss, all rights reserved.                *
 *                                                                         *
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef FXX_ICONSET_HPP
#define FXX_ICONSET_HPP


#include <fx.h>

#include <aqfoxext/aqfoxext.h>




class AQFOXEXT_API FXXIconSet {
public:
  FXXIconSet(const FXIcon *icon);
  ~FXXIconSet();

  FXIcon *getOriginalIcon() const { return m_iconOrig;};
  FXIcon *getSmallIcon() const { return m_iconSmall;};
  FXIcon *getMediumIcon() const { return m_iconMedium;};
  FXIcon *getBigIcon() const { return m_iconBig;};

  FXIcon *copyIcon(const FXIcon *ic);

  void refreshIcons();

protected:
  FXIcon *m_iconOrig;
  FXIcon *m_iconSmall;
  FXIcon *m_iconMedium;
  FXIcon *m_iconBig;

};



#endif

