/***************************************************************************
 * This file is part of the project AqFoxExt.                              *
 * AqFoxExt (c) by 2011 Martin Preuss, all rights reserved.                *
 *                                                                         *
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FXXHTMLTREE_HPP
#define FXXHTMLTREE_HPP


#include <fx.h>

#include <aqfoxext/aqfoxext.h>
#include <aqfoxext/fxx_checktree.hpp>



class AQFOXEXT_API FXXHtmlTreeItem: public FXXCheckTreeItem {
protected:
  virtual void drawColumn(const FXXCheckTree* list,
			  FXDC &dc,
                          FXint col,
			  FXint x, FXint y, FXint w, FXint h,
			  const FXchar* string, FXuint length) const;

public:
  FXXHtmlTreeItem(const FXString& text, FXIcon* oi=NULL, FXIcon* ci=NULL, void* ptr=NULL);
  ~FXXHtmlTreeItem();

  FXint getHeight(const FXFoldingList* list) const;
};




#endif
